Lucene++ - a full-featured, c++ search engine
API Documentation

Data Structures | Namespaces
LogMergePolicy.h File Reference
`#include "MergePolicy.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::LogMergePolicy

This class implements a MergePolicy that tries to merge segments into levels of exponentially increasing size, where each level has fewer segments than the value of the merge factor. Whenever extra segments (beyond the merge factor upper bound) are encountered, all segments within the level are merged. You can get or set the merge factor using getMergeFactor() and setMergeFactor(int) respectively. More...

## Namespaces

| Lucene

clucene.sourceforge.net